#include "hud.h"
#include "cl_util.h"
#include "parsemsg.h"

int g_BoundingboxEnts[255];
int g_iNumberOfBoundingBoxEnts;

DECLARE_MESSAGE(m_BoundingBox, BoundingBox);

int CHudBoundingBox::Init(void)
{
	HOOK_MESSAGE(BoundingBox);

	gHUD.AddHudElem(this);
	g_iNumberOfBoundingBoxEnts = 0;
	return 1;
}

int CHudBoundingBox:: MsgFunc_BoundingBox(const char *pszName,  int iSize, void *pbuf )
{
	BEGIN_READ( pbuf, iSize );
	int iEnt = READ_LONG();
	g_BoundingboxEnts[g_iNumberOfBoundingBoxEnts]=iEnt;
	g_iNumberOfBoundingBoxEnts++;
	return 1;
}